<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
	xmlns:app="http://schemas.android.com/apk/res-auto"
	xmlns:tool="http://schemas.android.com/tools"
	android:layout_width="match_parent"
	android:layout_height="match_parent"
	tool:context="xyz.apiote.bimba.czwek.settings.ServerChooserActivity">

	<com.google.android.material.textfield.TextInputLayout
		android:id="@+id/server_field"
		android:layout_width="match_parent"
		android:layout_height="wrap_content"
		android:layout_marginStart="16dp"
		android:layout_marginTop="16dp"
		android:layout_marginEnd="16dp"
		android:hint="@string/bimba_server_address_hint"
		app:layout_constraintEnd_toEndOf="parent"
		app:layout_constraintStart_toStartOf="parent"
		app:layout_constraintTop_toTopOf="parent">

		<com.google.android.material.textfield.TextInputEditText
			android:layout_width="match_parent"
			android:layout_height="wrap_content"
			android:inputType="textUri" />

	</com.google.android.material.textfield.TextInputLayout>

	<com.google.android.material.textfield.TextInputLayout
		android:id="@+id/token_field"
		android:layout_width="match_parent"
		android:layout_height="wrap_content"
		android:layout_marginStart="16dp"
		android:layout_marginTop="16dp"
		android:layout_marginEnd="16dp"
		android:hint="@string/bimba_server_token_hint"
		app:layout_constraintEnd_toEndOf="parent"
		app:layout_constraintStart_toStartOf="parent"
		app:layout_constraintTop_toBottomOf="@id/server_field">

		<com.google.android.material.textfield.TextInputEditText
			android:layout_width="match_parent"
			android:layout_height="wrap_content" />

	</com.google.android.material.textfield.TextInputLayout>

	<Button
		android:id="@+id/button"
		android:layout_width="wrap_content"
		android:layout_height="wrap_content"
		android:layout_marginTop="16dp"
		android:text="@string/bimba_server_continue_button"
		app:layout_constraintEnd_toEndOf="@+id/token_field"
		app:layout_constraintStart_toStartOf="@+id/token_field"
		app:layout_constraintTop_toBottomOf="@+id/token_field" />

</androidx.constraintlayout.widget.ConstraintLayout>